<?php

declare(strict_types=1);

namespace App\Framework\Reflection\Contracts;

use App\Framework\Core\ValueObjects\ClassName;
use App\Framework\Core\ValueObjects\Statistics;

/**
 * Interface for cache management operations
 */
interface CacheManager
{
    public function forget(ClassName $className): void;

    public function flush(): void;

    public function getStats(): Statistics;
}
